/* Copyright (2012) Schibsted ASA
 * This file is part of Possom.
 *
 *   Possom is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Possom is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with Possom.  If not, see <http://www.gnu.org/licenses/>.
 */
package no.sesat.search.mode.config;

import no.sesat.search.mode.config.CommandConfig.Controller;

/**
 * Search against google search API
 * http://code.google.com/apis/youtube/developers_guide_protocol.html#Searching_for_Videos
 */
@Controller("GoogleSearchCommand")
public class GoogleCommandConfig extends AbstractRestfulSearchConfiguration {

    private String path = "googleWebPath";

    public boolean getLargeResults() {
        return 4 < getResultsToReturn();
    }

    public String getPath(){
        return path;
    }

    public void setPath(final String path){
        this.path = path;
    }

}
