/* Copyright (2006-2012) Schibsted ASA
 *   This file is part of Possom.
 *
 *   Possom is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Possom is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with Possom.  If not, see <http://www.gnu.org/licenses/>.
 *
 * SiteKeyedFactory.java
 *
 * Created on 5 May 2006, 07:27
 *
 */

package no.sesat.search.site;

/** Factories that have Site->Factory mappings should implement this interface
 * to ensure general behaviours.
 *  SiteKeyedFactories by default have a synchronised site to factory mapping.
 *  If this is not the case it must be clearly noted in the class's javadoc.
 *
 *
 * @version $Id$
 */
public interface SiteKeyedFactory {

    /** Remove the factory the maps to the given site. *
     * @param site remove factory corresponding to this site.
     * @return true if a factory was successfully removed.
     */
    boolean remove(Site site);

}
